Package Base Details: nvidia-390xx

Git Clone URL: https://aur.archlinux.org/nvidia-390xx.git (read-only, click to copy)
Keywords: 400 500 600 GeForce nvidia
Submitter: Svenstaro
Maintainer: jonathon
Last Packager: jonathon
Votes: 43
Popularity: 4.95
First Submitted: 2020-03-11 17:30
Last Updated: 2020-10-19 00:55

Pinned Comments

jonathon commented on 2020-10-19 12:40

PACKAGE NEEDS MAINTAINER

I have adopted the 390xx packages to keep them secure. I do not run any 390xx hardware so will not notice any breakages and cannot test any changes.

Until such time as someone else steps up to maintain these packages - ideally someone who actually has 390xx hardware - I have to rely on you to tell me what changes are needed.

Don't expect a response if you post only "this doesn't work", and do not email me to complain about the package not working!

forcegk commented on 2020-03-20 02:18

Hello, I'd recommend to you all using the nvidia-390xx-dkms package. If anyone here knows how to change the script in order for the package to recompile every time linux kernel gets updated, please let me know via email. Thank you.

Latest Comments

« First ‹ Previous ... 5 6 7 8 9 10

forcegk commented on 2020-03-20 02:18

Hello, I'd recommend to you all using the nvidia-390xx-dkms package. If anyone here knows how to change the script in order for the package to recompile every time linux kernel gets updated, please let me know via email. Thank you.

HunabKu commented on 2020-03-19 15:08

Same issue here, i use linux-ck, i installed "linux-ck-core2-headers" but i have these message with 390.132-34 i had not with 390.132-32 : "/usr/src/linux : Aucun fichier ou dossier de ce type. Arrêt."

NovaMoon commented on 2020-03-19 13:05

Updating to the 5.5.10-arch1-1 kernel today didnt rebuild the dkms module. had to fully rebuild manually. not sure if its on my end or something with the package.

lcjr commented on 2020-03-18 13:53

@forcegk I'm using linux-lts and on build completion it wants to install the dkms package and the current linux(5.5) kernel.

forcegk commented on 2020-03-16 15:58

@triplc sorry no I can not, but you only need to install linux headers to compile. Once it is done, the dkms package will work on any kernel

triplc commented on 2020-03-16 04:17

Could you please make this package work with non default kernel? I use -lts and -ck kernel. I do not have linux default kernel.


==> Sources are ready. ==> Making package: nvidia-390xx 390.132-33 (Mon 16 Mar 2020 11:13:29 AM +07) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> WARNING: Using existing $srcdir/ tree ==> Removing existing $pkgdir/ directory... ==> Starting build()... make[1]: /usr/src/linux: No such file or directory. Stop. make: [Makefile:81: modules] Error 2 ==> ERROR: A failure occurred in build(). Aborting... Error making: nvidia-390xx (nvidia-390xx-dkms)

forcegk commented on 2020-03-15 18:46

@Reisenfag, sure it is not satisfied. I would recommend installing nvidia-390xx-utils previously, or using an AUR helper such as yay, which will do that for you.

Reisenfag commented on 2020-03-15 18:22

If you do a new installation, the nvidia-390xx-utils dependency is not satisfied.

Geeko commented on 2020-03-15 13:52

Thank you for taking this package. Can you apply this (https://gitlab.com/snippets/1943814) patch to avoid screen tearing on nvidia optimus systems? More info: https://bugs.archlinux.org/task/65665